E-MailRelay

Public Attributes | List of all members
GAuth::SaslClient::Response Struct Reference

Result structure returned from GAuth::SaslClient::response. More...

`#include <gsaslclient.h>`

Collaboration diagram for GAuth::SaslClient::Response:
[legend]

## Public Attributes
bool | sensitive {true}
bool | error {true}
bool | final {false}
std::string | data

## Detailed Description

Result structure returned from GAuth::SaslClient::response.

Definition at line 44 of file gsaslclient.h.

## Member Data Documentation

## ◆ data

std::string GAuth::SaslClient::Response::data

Definition at line 49 of file gsaslclient.h.

## ◆ error

bool GAuth::SaslClient::Response::error {true}

Definition at line 47 of file gsaslclient.h.

## ◆ final

bool GAuth::SaslClient::Response::final {false}

Definition at line 48 of file gsaslclient.h.

## ◆ sensitive

bool GAuth::SaslClient::Response::sensitive {true}

Definition at line 46 of file gsaslclient.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gauth/gsaslclient.h